/*
 *
 *  * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 *  * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 *
 */

package ru.ulstu.models;

import ru.ulstu.tsMethods.TimeSeriesMethod;
import ru.ulstu.tsMethods.TimeSeriesMethodParamValue;

import java.util.List;

public class ModelingResult {
    private final TimeSeries timeSeries;
    private final List<TimeSeriesMethodParamValue> paramValues;
    private final Score score;
    private final TimeSeriesMethod timeSeriesMethod;

    public ModelingResult(TimeSeries timeSeries,
                          List<TimeSeriesMethodParamValue> paramValues,
                          Score score,
                          TimeSeriesMethod timeSeriesMethod) {
        this.timeSeries = timeSeries;
        this.paramValues = paramValues;
        this.score = score;
        this.timeSeriesMethod = timeSeriesMethod;
    }

    public TimeSeries getTimeSeries() {
        return timeSeries;
    }

    public List<TimeSeriesMethodParamValue> getParamValues() {
        return paramValues;
    }

    public Score getScore() {
        return score;
    }

    public TimeSeriesMethod getTimeSeriesMethod() {
        return timeSeriesMethod;
    }
}
