/*
 *
 *  * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 *  * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 *
 */

package ru.ulstu.score;

import ru.ulstu.models.TimeSeries;
import ru.ulstu.models.TimeSeriesValue;
import ru.ulstu.models.exceptions.ModelingException;

import static java.lang.Math.abs;

public class Smape extends ScoreMethod {
    public Smape() {
        super("Smape");
    }

    @Override
    public Number evaluate(TimeSeries original, TimeSeries model) throws ModelingException {
        double sum = 0;
        for (TimeSeriesValue modelValue : model.getValues()) {
            double actualValue = getValueOnSameDate(modelValue, original).getValue();
            sum += abs(modelValue.getValue() - actualValue)
                    / ((abs(actualValue) + abs(modelValue.getValue())) / 2);
        }
        sum = Math.round(sum * 100) / 100;
        return sum * 100 / model.getLength();
    }
}